summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-07-29 04:17:43 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-07-31 22:31:51 -0500
commita1b40631bc8d61154fdd4aeb01f5ccae062030c3 (patch)
tree5ffb7bf67d8138faca8729cc7e25f616dce33f47
parent016d7844f5a8dd8b6d4fdb82401c44ac856488cb (diff)
downloadslackbuilds-a1b40631bc8d61154fdd4aeb01f5ccae062030c3.tar.gz
slackbuilds-a1b40631bc8d61154fdd4aeb01f5ccae062030c3.tar.xz
graphics/enblend-enfuse: Added (Image Blending and Enfusing tools)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--graphics/enblend-enfuse/README6
-rw-r--r--graphics/enblend-enfuse/enblend-enfuse.SlackBuild96
-rw-r--r--graphics/enblend-enfuse/enblend-enfuse.info10
-rw-r--r--graphics/enblend-enfuse/libpng14-fix.diff40
-rw-r--r--graphics/enblend-enfuse/slack-desc19
5 files changed, 171 insertions, 0 deletions
diff --git a/graphics/enblend-enfuse/README b/graphics/enblend-enfuse/README
new file mode 100644
index 0000000000..047eb7bd38
--- /dev/null
+++ b/graphics/enblend-enfuse/README
@@ -0,0 +1,6 @@
+Enblend combines images that overlap into a single large image with no seams.
+Enfuse combines images that overlap into a single image with good exposure
+and good focus. Both programs assume that your images are already lined up.
+To make panoramas with Enblend and/or Enfuse, use Hugin.
+
+This requires libxmi.
diff --git a/graphics/enblend-enfuse/enblend-enfuse.SlackBuild b/graphics/enblend-enfuse/enblend-enfuse.SlackBuild
new file mode 100644
index 0000000000..60d90e0896
--- /dev/null
+++ b/graphics/enblend-enfuse/enblend-enfuse.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+#
+# Slackware build script for Enblend-Enfuse
+#
+# Copyright 2009-2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=enblend-enfuse
+VERSION=4.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION-*
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION-*
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+patch -p1 < $CWD/libpng14-fix.diff
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man?/*.?
+gzip -9 $PKG/usr/info/*.info
+rm -rf $PKG/usr/info/dir
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README README.txt VERSION VIGRA_LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/enblend-enfuse/enblend-enfuse.info b/graphics/enblend-enfuse/enblend-enfuse.info
new file mode 100644
index 0000000000..f81c517aa7
--- /dev/null
+++ b/graphics/enblend-enfuse/enblend-enfuse.info
@@ -0,0 +1,10 @@
+PRGNAM="enblend-enfuse"
+VERSION="4.0"
+HOMEPAGE="http://enblend.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/enblend/enblend-enfuse-4.0.tar.gz"
+MD5SUM="2e7c950061e0085fd75d94576130250f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/graphics/enblend-enfuse/libpng14-fix.diff b/graphics/enblend-enfuse/libpng14-fix.diff
new file mode 100644
index 0000000000..aa30079504
--- /dev/null
+++ b/graphics/enblend-enfuse/libpng14-fix.diff
@@ -0,0 +1,40 @@
+
+diff -r e29281594440 -r 9d9b5f3a97cd src/vigra_impex/png.cxx
+--- a/src/vigra_impex/png.cxx Mon Nov 09 11:10:35 2009 +0100
++++ b/src/vigra_impex/png.cxx Mon Apr 12 14:52:44 2010 +0200
+@@ -65,10 +65,20 @@
+ #include <png.h>
+ }
+
++#define STRINGIFY(m_argument) #m_argument
++
+ #if PNG_LIBPNG_VER < 10201
+ #error "please update your libpng to at least 1.2.1"
+ #endif
+
++#if PNG_LIBPNG_VER >= 10400
++#define PNG_SET_EXPAND_GRAY_1_2_4_TO_8_NAME png_set_expand_gray_1_2_4_to_8
++#else
++#define PNG_SET_EXPAND_GRAY_1_2_4_TO_8_NAME png_set_gray_1_2_4_to_8
++#endif
++#define PNG_SET_EXPAND_GRAY_1_2_4_TO_8_FUNCTION_NAME STRINGIFY(PNG_SET_EXPAND_GRAY_1_2_4_TO_8_NAME)
++#define PNG_SET_EXPAND_GRAY_1_2_4_TO_8(m_image) PNG_SET_EXPAND_GRAY_1_2_4_TO_8_NAME(m_image)
++
+ // TODO: per-scanline reading/writing
+
+ namespace {
+@@ -274,8 +284,8 @@
+ // expand gray values to at least one byte size
+ if ( color_type == PNG_COLOR_TYPE_GRAY && bit_depth < 8 ) {
+ if (setjmp(png->jmpbuf))
+- vigra_postcondition( false,png_error_message.insert(0, "error in png_set_gray_1_2_4_to_8(): ").c_str());
+- png_set_gray_1_2_4_to_8(png);
++ vigra_postcondition( false, png_error_message.insert(0, "error in " PNG_SET_EXPAND_GRAY_1_2_4_TO_8_FUNCTION_NAME " (): ").c_str());
++ PNG_SET_EXPAND_GRAY_1_2_4_TO_8(png);
+ bit_depth = 8;
+ }
+
+
+
+
+
diff --git a/graphics/enblend-enfuse/slack-desc b/graphics/enblend-enfuse/slack-desc
new file mode 100644
index 0000000000..52c75002a9
--- /dev/null
+++ b/graphics/enblend-enfuse/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+enblend-enfuse: Enblend-Enfuse (Image Blending and Enfusing tools)
+enblend-enfuse:
+enblend-enfuse: Enblend combines images that overlap into a single large image
+enblend-enfuse: with no seams. Enfuse combines images that overlap into a
+enblend-enfuse: single image with good exposure and good focus. Both programs
+enblend-enfuse: assume that your images are already lined up. To make
+enblend-enfuse: panoramas with Enblend and/or Enfuse, use Hugin.
+enblend-enfuse:
+enblend-enfuse: http://enblend.sourceforge.net/
+enblend-enfuse:
+enblend-enfuse: